OTBCLI_BANDMATH(1)

NAME
otbcli_SampleSelection - OTB SampleSelection application

DESCRIPTION
This is the SampleSelection application, version 5.6.0 Selects samples from a training vector data set.

Complete documentation: http://www.orfeo-toolbox.org/Applications/SampleSelection.html

  Parameters:

-progress <boolean>
    Report progress

 -in <string> InputImage (mandatory)
 -mask <string> InputMask (optional, off by default)
 -vec <string> Input vectors (mandatory)
 -out <string> Output vectors (mandatory)
 -instats <string> Input Statistics (mandatory)
 -outrates <string> Output rates (optional, off by default)
 -sampler <string> Sampler type [periodic/random] (mandatory, default value is periodic)
 -sampler.periodic.jitter <int32> Jitter amplitude (optional, on by default, default value is 0)
 -strategy <string> Sampling strategy [byclass/constant/smallest/all] (mandatory, default value is smallest)
 -strategy.byclass.in <string> Number of samples by class (mandatory)
 -strategy.constant.nb <int32> Number of samples for all classes (mandatory)
 -field <string> Field Name (optional, on by default, default value is class)
 -layer <int32> Layer Index (optional, on by default, default value is 0)
 -ram <int32> Available RAM (Mb) (optional, off by default, default value is 128)
 -rand <int32> set user defined seed (optional, off by default)
 -inxml <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_SampleSelection -in support_image.tif -vec variousVectors.sqlite -field label -instats apTvClPolygonClassStatisticsOut.xml -out resampledVectors.sqlite